#1 - 04/26/2017 02:39 PM - Andreas Kohlbecker
Lieber Andreas,
anbei meine kurze Ubersicht tiber die verschieden ,nomenclatural acts* als Excel-Tabelle (NomenclaturalActWievieleUndBezugZuNamen.xls). Bisher

hatte ich die Validierung nicht ausreichend bedacht.
In jedem Fall haben wir ein Problem mit Namen, die nicht bei uns im System sind.

In 3 von 4 Fallen steht die Registrierungsnummer/der Identifer fir einen Scientific Name (und noch mehr, aber das ist in diesem Zusammenhang
egal).
In einem Fall steht die Registrierungsnummer /der Identifier definitiv nicht fir einen Namen.

Problem 1: Wie im Vorfeld tberlegt und im Antrag geschrieben bendétigen Typen und Namen eigentlich unterschiedliche Identifier.

Lésung 1: Identifier oder unser System missten wissen, ob die |dentifier in erster Linie flr eine Typisierung oder fir einen Namen selbst stehen.
Info: Wir hatten bereits besprochen, dass es nicht sinnvoll ist, bei einer Neubeschreibung eines Taxons fir Name und Typus (Typen) mehr als einen
Identifier zu vergeben.

Problem 2: Basionyme, nicht validierte Namen, Namen die typisiert werden sind zum gréBeren Teil nicht im System.

Losung 2a: Es ware logisch und sauber, wir hatten fiir jeden Namen eine eigene ID im System. Dagegen spricht der Zeitaufwand der Recherche von
Altdaten, die das Gesamtsystem gefahrden kdnnte.

Lésung 2b: Ist das, was wir zurzeit besprochen haben: wir verweisen/verlinken zu den entsprechenden Namen in verlasslichen Datenbanken.
Lésung 2c: Wére, in Ausnahmeféllen Altnamen ,post publication* auch zu registrieren. Dazu fallen mir keine Regeln ein, auBer dass zur Zeit der
Registrierung kein System den Namen oder den Namen in ausreichender Qualitét anbietet. Auch das ist keine Regel sondern ein Notbehelf.

Problem 3 (das Problem ist strukturell ahnlich zu AnnoSys, wo im Vorfeld Annotationstypen definiert wurden, die Nutzerinnen aber haufig den Inhalt
zweier vordefinierter Annotationstypen gleichzeitig annotieren wollen): Beim Durchspielen der unterschiedlichen Nomenclatural Acts kann ich mir gut
+Mischformen* vorstellen, d.h. jemand kombiniert einen Namen um und lektotypisiert oder epitypisiert gleichzeitig.

Problemlésung 3: Kénnte sein, dass die Nutzerlnnen zuné&chst im Web-Interface anklicken missten, was sie registrieren wollen und dann
entsprechende Teil-Webformulare fur die Dateneingabe freigegeben(aufgeklappt) werden.

Viele Grufe,
Henning

#2 - 04/26/2017 02:40 PM - Andreas Kohlbecker

- File NomenclaturalActWievieleUndBezugZuNamen.xls added

#3 - 04/26/2017 02:43 PM - Andreas Kohlbecker

Hallo Henning,
Ich nehme Anton, Walter und Andreas mit in cc, denn das Identifier Thema sollte in einer groBBeren Gruppe diskutiert werden.

Je langer ich daruiber nachdenke, desto weniger bin ich mir sicher, dass die urspriingliche Idee einen Identifier nur fir den nomenklatorischen Akt zu
vergeben letztlich keine gute Entscheidung ware.

Voraussetzung meiner Uberlegung ist dass das Erzeugen der Identifier keine oder nur geringe finanzielle Kosten verursacht. In diesem Fall kénnen
wir im Prinzip fur jeden Namen, Akt, Typus und jede Referenz einen Identifier vergeben. Das Erzeugen der Identifier wiirde ja automatisch erfolgen
und wirde daher keinen Mehraufwand flr den Scientist oder den Kurator bedeuten.

Die Spalte "Kommentar, ob die ID fur GBIF fir den Namen stehen kann" in deiner Excel-Tabelle ist meines Erachtens ein Beleg daflr, dass wir
Identifier fiir Namen brauchen. Ein persitenter Identifier sollte sich immer auf ein bestimmtes Objekt beziehen. Diesen Objekt hat einen definierten
Typ. Daher kann ein Identifier fiir einen nomenklatorischen Akt nicht gleichzeitig als Identifier fiir den Namen dienen. Wenn wir also an GBIF
namen mit ID liefern wollen, missen diese Namen mit einer Namens-ID verbunden sein. Die ID des nomenklatorischen Aktes hierfiir zu verwenden
ware falsch. Das gleiche gilt fir Typen.

04/09/2024 12



https://dev.e-taxonomy.eu/redmine/attachments/1052

In den Fallen, in denen ein Name verwendet werden muss, der noch nicht im System ist, gibt es zwei Moglichkeiten:

1. Der Name wird von einem verldsslichen externen System bereitgestellt und hat schon einen persistenten Identifier. Diesen kdnnen wir dann

nutzen.

2. Der Name ist noch nirgendwo hinterlegt, also miisste der Name in der Registrierung angelegt werden und bekommt von uns eine ID. In diesem
Fall wére es schdn wenn gleichzeitig der zugehdrige nomenklatorische Akt registriert wiirde (post-publication) aber das sollte méglicherweise

nicht zwingend sein.

Problem 3 ist anders geartet. Nach meiner Auffassung ist dies ein reines Usability- oder Workflow- Problem aber betrifft nicht die Identifier.

Herzliche GriiBe
Andreas

#4 - 04/26/2017 03:46 PM - Andreas Kohlbecker
- Category set to Model

- Status changed from New to Closed

- Assignee set to Wolf-Henning Kusber

- Priority changed from New to Highest

#5 - 04/26/2017 03:46 PM - Andreas Kohlbecker

- Tags set to identifier

#6 - 04/26/2017 03:46 PM - Andreas Kohlbecker

- Target version set to Technical planning completed
